Bug 9846 - Normal user can change mqueue processing in sendmail
Normal user can change mqueue processing in sendmail
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Cristian Gafton
Depends On:
  Show dependency treegraph
Reported: 2000-02-28 21:31 EST by untersta
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-03-04 13:41:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description untersta 2000-02-28 21:31:00 EST
At our server one of our users sent an undeliverable mail
with /bin/mail and with
/usr/sbin/sendmail -q1m
added a daemon.

I was quite surprised when I saw in the mailog, that our server
tried 2000 times within one day to reach the unknown host. I was also
surprised a normal user can start sendmail as a daemon...

I don't have time right now to look at that closer. I set the permissions
of sendmail from rwsrwsr-x to rwxrwxr-x and changed the /var/spool/mqueue
from rwxrwxrwx (as linuxconf creates it) to rwx-wx-wx.

A normal user can yet still start a daemon, but sendmail doesn't process
the mails in mqueue any more. Yet you can still use mail.

Is sendmail supposed to work like that?
Comment 1 David Lawrence 2000-02-29 10:59:59 EST
Assigning to a developer.This is an sendmail related issue and not a bugzilla related one so I am
refiling it under product: Red Hat Linux and component: sendmail. Then the
proper developer will be able to look at it.
Comment 2 Cristian Gafton 2000-03-04 13:41:59 EST
This is normal behavior

Note You need to log in before you can comment on or make changes to this bug.